---
wsId: TeroxxWallet
title: TeroxxWallet
altTitle: 
authors:
- danny
users: 1000
appId: com.teroxx
appCountry: us
released: 2019-08-26
updated: 2022-04-20
version: 3.0.13
stars: 
ratings: 
reviews: 
size: 83M
website: https://teroxxapp.com/
repository: 
issue: 
icon: com.teroxx.png
bugbounty: 
meta: ok
verdict: custodial
date: 2021-11-15
signer: 
reviewArchive: 
twitter: 
social: 
redirect_from: 

---

## App Description

It's a multi-currency wallet that supports BTC, ETH, DASH, XRP and others. It also supports linking Mastercard to the wallet.

## The Site

Teroxx has an [AML/KYC Policy (Downloadable PDF)](https://teroxxapp.com/licenses/Teroxx%20AML%20Policy.pdf)

## The App

We downloaded the app and registered. We then verified the email address. We then proceeded to "Wallets". To access all the features of the app, we were asked to verify phone number as well as scan a valid ID and take a selfie.

## Verdict

Searching for the words "private keys" or "seeds" did not yield any results on their website. Without providing our KYC information, we were not able to access most of the functionalities of the app except for the "Market Viewer" which displayed the coins and their prices.

This is a **custodial** service which makes the app **not verifiable**.
